Plack::Request::Upload(3)

NAME
Plack::Request::Upload - handles file upload requests

SYNOPSIS
  # $req is Plack::Request
  my $upload = $req->uploads->{field};

  $upload->size;
  $upload->path;
  $upload->content_type;
  $upload->basename;

METHODS

size
    Returns the size of Uploaded file.

path
    Returns the path to the temporary file where uploaded file is saved.

content_type
    Returns the content type of the uploaded file.

filename
    Returns the original filename in the client.

basename
    Returns basename for "filename".

AUTHORS
Kazuhiro Osawa

Tatsuhiko Miyagawa

SEE ALSO
Plack::Request, Catalyst::Request::Upload